# Generated by Django 3.2.12 on 2022-03-27 16:58

from django.db import migrations, models
import django.db.models.deletion
import phonenumber_field.modelfields
import simpel_utils.models.fields


class Migration(migrations.Migration):

    dependencies = [
        ('simpel_contacts', '0004_auto_20220327_2358'),
        ('simpel_partners', '0001_initial'),
    ]

    operations = [
        migrations.RemoveField(
            model_name='partner',
            name='deleted',
        ),
        migrations.RemoveField(
            model_name='partner',
            name='deleted_at',
        ),
        migrations.CreateModel(
            name='PartnerContact',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('contact_type', models.CharField(choices=[('phone', 'Phone'), ('fax', 'Fax'), ('mobile', 'Mobile'), ('whatsapp', 'Whatsapp'), ('telegram', 'Telegram')], default='phone', help_text='E.g. Phone or mobile', max_length=255, verbose_name='type')),
                ('contact', phonenumber_field.modelfields.PhoneNumberField(blank=True, help_text='Contact number', max_length=128, region=None, verbose_name='Phone number')),
                ('is_verified', models.BooleanField(default=False, editable=False)),
                ('partner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='contacts', to='simpel_partners.partner', verbose_name='Partner')),
            ],
            options={
                'verbose_name': 'Partner contact',
                'verbose_name_plural': 'Partner contacts',
            },
        ),
        migrations.CreateModel(
            name='PartnerAddress',
            fields=[
                ('id', models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('primary', models.BooleanField(default=False)),
                ('address_type', models.CharField(choices=[('home', 'Home'), ('office', 'Office'), ('branch_office', 'Branch Office'), ('billing', 'Billing'), ('shipping', 'Shipping'), ('drop_shipping', 'Dropshipping'), ('deliverable', 'Deliverable'), ('else', 'Else')], default='billing', help_text='E.g. Shipping or billing', max_length=255, verbose_name='type')),
                ('title', models.CharField(blank=True, choices=[('Mr', 'Mr'), ('Miss', 'Miss'), ('Mrs', 'Mrs'), ('Ms', 'Ms'), ('Dr', 'Dr')], help_text='Treatment Pronouns for the customer', max_length=64, verbose_name='Title')),
                ('name', models.CharField(help_text='If blank, contact name will be used.', max_length=255, verbose_name='name')),
                ('line_1', models.CharField(max_length=255, null=True, verbose_name='line 1')),
                ('line_2', simpel_utils.models.fields.NullCharField(max_length=255, verbose_name='line 2')),
                ('line_3', simpel_utils.models.fields.NullCharField(max_length=255, verbose_name='line 3')),
                ('city', models.CharField(max_length=255, null=True, verbose_name='city')),
                ('province', models.CharField(max_length=255, null=True, verbose_name='province')),
                ('postcode', simpel_utils.models.fields.UppercaseCharField(blank=True, max_length=64, verbose_name='Post/Zip-code')),
                ('country', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='simpel_contacts.country', verbose_name='Country')),
                ('partner', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='addresses', to='simpel_partners.partner', verbose_name='Partner')),
            ],
            options={
                'verbose_name': 'Partner address',
                'verbose_name_plural': 'Partner addresses',
            },
        ),
    ]
